// BMP280Sensor.h

#ifndef BMP280SENSOR_H
#define BMP280SENSOR_H
#define BMP280_ADDR (0x76)

#define SEALEVELPRESSURE_HPA (1013.25)

#include <Adafruit_BME280.h>

class BMP280Sensor {
public:
  BMP280Sensor(uint8_t address = BMP280_ADDR); // Constructor
  void init();
  void read_values(float* temperature, float* humidity, float* pressure, float* altitude);
private:
  uint8_t _address; // BMP280 wake pin
  Adafruit_BME280 bmp280; // BMP280 object
};

#endif // BMP280SENSOR_H
