// BMP280Sensor.cpp

#include "BMP280Sensor.h"

BMP280Sensor::BMP280Sensor(uint8_t address) : _address(address) {
    // Constructor sets the address
}

void BMP280Sensor::init() {
  // Enable BMP280
  bool ok = bmp280.begin(_address);

  /* weather monitoring settings from driver lib */
  bmp280.setSampling(Adafruit_BME280::MODE_FORCED,
                     Adafruit_BME280::SAMPLING_X1, // temperature
                     Adafruit_BME280::SAMPLING_X1, // pressure
                     Adafruit_BME280::SAMPLING_X1, // humidity
                     Adafruit_BME280::FILTER_OFF   );
}


void BMP280Sensor::read_values(float* temperature, float* humidity, float* pressure, float* altitude) {
  // Only needed in forced mode! In normal mode, you can remove the next line.
  bmp280.takeForcedMeasurement(); // has no effect in normal mode

  if (humidity) *humidity = bmp280.readHumidity();
  if (temperature) *temperature = bmp280.readTemperature();
  if (pressure) *pressure = bmp280.readPressure() / 100.0F;
  if (altitude) *altitude = bmp280.readAltitude(SEALEVELPRESSURE_HPA);
}
