// MS5611Sensor.cpp

#include "MS5611Sensor.h"

// Initialize MS5611 sensor
// Ultra high resolution: MS5611_ULTRA_HIGH_RES
// (default) High resolution: MS5611_HIGH_RES
// Standard: MS5611_STANDARD
// Low power: MS5611_LOW_POWER
// Ultra low power: MS5611_ULTRA_LOW_POWER

MS5611Sensor::MS5611Sensor() {
  // Constructor - No need to do anything here
}

void MS5611Sensor::init() {
  ms5611.begin(MS5611_ULTRA_HIGH_RES);
}

void MS5611Sensor::read_values(double* temperature, double* preasure, double* altitude) {
    if (temperature) *temperature = ms5611.readTemperature(true);
    if (preasure) *preasure = ms5611.readPressure(true);

    if (altitude) *altitude = ms5611.getAltitude(*preasure); // second arg double seaLevelPressure = 101325
}
